Page MenuHomePhabricator

Implement HTMLComboboxField
Closed, ResolvedPublic

Description

Implement HTMLComboboxField. This is meant to be a replacement for HTMLSelectOrOtherField and HTMLAutoCompleteSelectField, but it would have a different interface, so I think it's a better idea to make it separate.

Browsers these days have surprisingly good support for <input list=...><datalist id=...>, which makes it possible to do this in plain HTML. As for OOjs UI, we have a ComboBoxWidget.

Event Timeline

matmarex created this task.Nov 8 2015, 2:56 PM
matmarex claimed this task.
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a project: MediaWiki-HTMLForm.
matmarex added a subscriber: matmarex.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 8 2015, 2:56 PM

A demo or screenshot here would really help me. I get confused about the various types of inputs, especially given that people have attached cuter names to them (I'm looking at you, HTMLSelectOrOtherField) and that custom JavaScript-based implementations (such as Chosen) are somewhat common.

Change 251824 had a related patch set uploaded (by Bartosz Dziewoński):
Implement HTMLComboboxField

https://gerrit.wikimedia.org/r/251824

A demo or screenshot here would really help me.

This is sort of close, I guess: https://www.mediawiki.org/wiki/OOjs_UI/Widgets/Selects_and_Options#ComboBox_menus.

Demo:

Screenshots of Special:PagesWithProp using the new field:



matmarex triaged this task as High priority.Nov 23 2015, 3:17 PM
matmarex raised the priority of this task from High to Needs Triage.
matmarex raised the priority of this task from High to Needs Triage.
matmarex set Security to None.

Change 251824 merged by jenkins-bot:
Implement HTMLComboboxField

https://gerrit.wikimedia.org/r/251824

Jdforrester-WMF closed this task as Resolved.Nov 24 2015, 7:58 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF removed a project: Patch-For-Review.